Page MenuHomePhabricator

Moved 100% match was not found (Michgrig bug)
Closed, ResolvedPublic13 Story Points

Description

Bug description
If there are 100% matches of moved lines, wikidiff2 should be able to catch them.
However, in an example on ru-wiki Michgrig was matched with DrBug, instead of Michgrig itself. Furthermore, the link on "Michgrig" appearance on the right hand side line leads to a non-existing anchor.

Acceptance Criteria

  • Wikidiff2 correctly handles the "Michgrig" situation (and all similar ones)
  • None of the other examples of our test setup are worsened.

Notes

  • The page in question is going to be imported in the test wiki
  • Ideally, we could add a test to the repository that covers the test

Event Timeline

Lea_WMDE created this task.Feb 5 2019, 4:37 PM
Lea_WMDE triaged this task as Normal priority.
IKhitron updated the task description. (Show Details)Feb 5 2019, 4:39 PM
IKhitron added subscribers: Michgrig, Drbug.
SerDIDG added a subscriber: SerDIDG.Feb 5 2019, 6:06 PM
Lea_WMDE updated the task description. (Show Details)Feb 12 2019, 2:31 PM
Lea_WMDE set the point value for this task to 13.
jkroll claimed this task.Feb 13 2019, 11:00 PM

Change 493258 had a related patch set uploaded (by Jkroll; owner: Jkroll):
[mediawiki/php/wikidiff2@master] [WiP] Fix matching of moved lines in some cases

https://gerrit.wikimedia.org/r/493258

WMDE-Fisch updated the task description. (Show Details)Mar 1 2019, 10:08 AM

Change 493258 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Fix matching of moved lines in some cases

https://gerrit.wikimedia.org/r/493258

Change 493688 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/php/wikidiff2@master] Add test for T215293 bug

https://gerrit.wikimedia.org/r/493688

Change 493688 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Add test for T215293 bug

https://gerrit.wikimedia.org/r/493688

Lea_WMDE closed this task as Resolved.Mar 4 2019, 10:40 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-02-20 board.

FYI: This still needs to go out with the next wikidiff2 release. For the release please see T203069: Deploy wikidiff2 v1.8.1 with changed signature

FYI: This still needs to go out with the next wikidiff2 release. For the release please see T203069: Deploy wikidiff2 v1.8.1 with changed signature

I also already created T217420: Tag and Release wikidiff 1.8.1 alreasdy. This one would be on our watch. The deployment as last step of the above ticket can be initiated afterwards.

Tobi_WMDE_SW updated the task description. (Show Details)Mar 6 2019, 1:38 PM

Well, @Lea_WMDE, it's Tuesday. And it's definitely looks different (compare to F27961541). But still wrong. Thank you.

@IKhitron The diffing library we have to change (Wikidiff2) has to be deployed manually, and does not follow the train. If you watch T203069 you will see when the changes are live :)

I see. Thank you.

Hello, @Lea_WMDE. I can see that the wikidiff2 (T203069) has been already deployed, so the original diff looks much better, and "Michgrig" fits the aim of the tool. Nevertheless, please check "Фил Вечеровский", with comma on the left diff side.

Hello, @Lea_WMDE. I can see that the wikidiff2 (T203069) has been already deployed, so the original diff looks much better, and "Michgrig" fits the aim of the tool. Nevertheless, please check "Фил Вечеровский", with comma on the left diff side.

Before there's even more confusion about whats going on here: The above link to the diff is build in a way that, it always compares a certain version with the the current version. So if the current version changes ( due to an update ) the diff changes as well. - I guess that's not very helpful in our case ^^'

@IKhitron I guess you mean this specific diff https://ru.wikipedia.org/w/index.php?diff=97742858&oldid=97533626&title=MediaWiki:Gadget-markadmins.json where АлександрВв on the left is linked to Salsero al Zviadi on the right :-)

I will adjust the link in the ticket description accordingly. - But we probably should create a new ticket for this. ( it looks a bit like the similarity threshold here is not working very well or not well with Cyrillic characters )

WMDE-Fisch updated the task description. (Show Details)Apr 12 2019, 10:10 AM

It is not what I was tacking about, but it seems as another problem.